//! A daemon creation library.
//!
//! Its sole purpose it to make a common, simple way to create daemons
//! programs. This is done following the POSIX standard for
//! maximum portability.

#![cfg(any(target_os="linux", target_os="freebsd", target_os="dragonfly",
           target_os="netbsd", target_os="openbsd"))]



#[macro_use]
extern crate scribe;

extern crate weave;

extern crate spellbook;

extern crate binding;

extern crate pact;

#[cfg(any(target_os="linux", target_os="freebsd", target_os="dragonfly",
          target_os="netbsd", target_os="openbsd"))]
extern crate posix_rs;



mod daemon;
mod daemon_error;



pub use daemon::Daemon;
pub use daemon_error::DaemonError;
